summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Duncan Roe2014-04-28 16:35:54 +0200
committer Willy Sudiarto Raharjo2014-04-28 16:36:31 +0200
commit5333dce9f7c0059739036100636aef8377a845df (patch)
treed4d53788ee4b7068a0acb4c00b6778e70363ec5e /network
parent2e8ced0745d2c04d8a8b9881b67b9a9d84922e71 (diff)
downloadslackbuilds-5333dce9f7c0059739036100636aef8377a845df.tar.gz
network/nft: Added (nftables command-line interface).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/nft/README12
-rw-r--r--network/nft/nft.SlackBuild104
-rw-r--r--network/nft/nft.info10
-rw-r--r--network/nft/slack-desc19
4 files changed, 145 insertions, 0 deletions
diff --git a/network/nft/README b/network/nft/README
new file mode 100644
index 0000000000..c057392d9a
--- /dev/null
+++ b/network/nft/README
@@ -0,0 +1,12 @@
+nft (nftables command-line interface)
+
+nftables is the project that aims to replace the existing {ip,ip6,arp,eb}tables
+framework. Basically, this project provides a new packet filtering framework, a
+new userspace utility and also a compatibility layer for {ip,ip6}tables.
+nftables is built upon the building blocks of the Netfilter infrastructure such
+as the existing hooks, the connection tracking system, the userspace queueing
+component and the logging subsystem.
+
+In order to use nft, you need a Linux kernel >= 3.14 with nftables configured.
+
+nftables is currently under development, so for experimenters only!
diff --git a/network/nft/nft.SlackBuild b/network/nft/nft.SlackBuild
new file mode 100644
index 0000000000..106310f7a4
--- /dev/null
+++ b/network/nft/nft.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for nft
+
+# Copyright 2014 Duncan Roe Melbourne, Australia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nft
+PKGNAM=nftables
+VERSION=${VERSION:-0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCUMENTATION="COPYING INSTALL TODO"
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.bz2
+cd $PKGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+LDFLAGS="-lncurses" \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-debug \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+DOCSDIR=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $DOCSDIR
+cp -a $DOCUMENTATION $DOCSDIR
+cat $CWD/$PRGNAM.SlackBuild > $DOCSDIR/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/nft/nft.info b/network/nft/nft.info
new file mode 100644
index 0000000000..adec6e161e
--- /dev/null
+++ b/network/nft/nft.info
@@ -0,0 +1,10 @@
+PRGNAM="nft"
+VERSION="0.2"
+HOMEPAGE="http://www.netfilter.org/projects/nftables/"
+DOWNLOAD="http://www.netfilter.org/projects/nftables/files/nftables-0.2.tar.bz2"
+MD5SUM="9b824060febe56ed5e2fbd7f43ea78d4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libnftnl"
+MAINTAINER="Duncan Roe"
+EMAIL="duncan_roe@acslink.net.au"
diff --git a/network/nft/slack-desc b/network/nft/slack-desc
new file mode 100644
index 0000000000..d1bf7dfe40
--- /dev/null
+++ b/network/nft/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nft: nft (nftables command-line interface)
+nft:
+nft: nftables is the project that aims to replace the existing
+nft: {ip,ip6,arp,eb}tables framework. Basically, this project provides a
+nft: new packet filtering framework, a new userspace utility and also a
+nft: compatibility layer for {ip,ip6}tables.
+nft:
+nft: nftables is currently under development, so for experimenters only!
+nft:
+nft: Homepage: http://www.netfilter.org/projects/nft/
+nft: